Subject: bug#34215: 27.0.50; Provide elisp access to Chinese pinyin-to-character mapping

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Feb 2019 20:53:39 +0200

> From: Eric Abrahamsen <[email-masked]>
> Date: Fri, 01 Feb 2019 08:27:08 -0800
> 
> >> +        (coding-system-for-write 'utf-8-emacs))
> >
> > This should be 'utf-8-unix.  There's no reason to write out stuff in
> > our internal encoding, as the file is not supposed to have any
> > characters not representable in UTF-8.
> 
> Oh, okay. For my information -- is that not platform-dependent?

No, the defaults are platform-dependent.  utf-8-unix is an explicit
specification of an encoding, so it leaves nothing to the platform.

> I noticed titdic-cnv.el has a utf-8-emacs encoding cookie at the
> top.

utf-8-emacs is the internal representation of characters used by
Emacs, it should only be used when some of the characters might not be
expressible in UTF-8 (i.e. they are beyond the Unicode codespace).